"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10e780b80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10e780cc0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10e780c20>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10e780d60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10e780e00>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10e780ea0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10e780f40>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10e780fe0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10e781080>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10e781120>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10e7811c0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10e781260>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10e781300>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10e7813a0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10e781440>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10e7814e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10e781580>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10e781620>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10e7816c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10e781760>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10e781800>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10e7818a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10e781940>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10e7819e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10e781a80>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10e781b20>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10e781bc0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10e781c60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10e781d00>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10e781da0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10e781e40>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10e781ee0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10e781f80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10e782020>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10e7820c0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10e782160>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10e782200>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10e7822a0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10e782340>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10e7823e0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10e782480>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10e782520>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10e7825c0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10e782660>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10e782700>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10e7827a0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10e782840>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10e7828e0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10e782980>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10e782a20>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10e782ac0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10e782b60>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10e782c00>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10e782ca0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10e782d40>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10e782de0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10e782e80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10e782f20>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10e782fc0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10e783060>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10e783100>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10e7831a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10e783240>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10e7832e0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10e783380>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10e783420>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10e7834c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10e783560>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10e783600>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10e7836a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10e783740>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10e7837e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10e783880>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10e783920>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10e7839c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10e783a60>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10e783b00>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10e783ba0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10e783c40>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10e783d80>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10e783ce0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10e783e20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10e783ec0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10e783f60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10e790040>)]
name: str = 'fr_HOCCN'
